<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="GetCustomers">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="intPage" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="intRecordsPerPage" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetCustomersResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetCustomersResult" type="tns:CustomerSearchResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="CustomerSearchResult">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="RecordsPerPage" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="TotalPages" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="CurrentPage" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="colCustomerRecord" type="tns:ArrayOfCustomerRecord" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfCustomerRecord">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="CustomerRecord" nillable="true" type="tns:CustomerRecord" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="CustomerRecord">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="CustomerID" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="CustomerName" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="CustomerEmail" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="CustomerNotes" type="s:string" />
        </s:sequence>
      </s:complexType>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetCustomersSoapIn">
    <wsdl:part name="parameters" element="tns:GetCustomers" />
  </wsdl:message>
  <wsdl:message name="GetCustomersSoapOut">
    <wsdl:part name="parameters" element="tns:GetCustomersResponse" />
  </wsdl:message>
  <wsdl:portType name="WebServiceSoap">
    <wsdl:operation name="GetCustomers">
      <wsdl:input message="tns:GetCustomersSoapIn" />
      <wsdl:output message="tns:GetCustomersSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="WebServiceSoap" type="tns:WebServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetCustomers">
      <soap:operation soapAction="http://tempuri.org/GetCustomers" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="WebServiceSoap12" type="tns:WebServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetCustomers">
      <soap12:operation soapAction="http://tempuri.org/GetCustomers" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="WebService">
    <wsdl:port name="WebServiceSoap" binding="tns:WebServiceSoap">
      <soap:address location="http://localhost:49164/WebService.asmx" />
    </wsdl:port>
    <wsdl:port name="WebServiceSoap12" binding="tns:WebServiceSoap12">
      <soap12:address location="http://localhost:49164/WebService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>